package HT.fx;

import java.util.*;

/**
 * @author joonatan
 * @version 7.3.2024
 *
 */
public class Ottelut implements Iterable<Ottelu> {

    private final Collection<Ottelu> alkiot = new ArrayList<Ottelu>();
    private String tiedostonNimi = "";
    
    /**
     * 
     */
    public Ottelut() {
        //Ei tehdä vielä mitään.
    }
    
    /**
     * @param ott ottelu
     */
    public void lisaa(Ottelu ott) {
        alkiot.add(ott);
    }
    
    
    /**
     * Palauttaa otteluiden lukumäärän
     * @return otteluiden lukumäärä
     */
    public int getLkm() {
        return alkiot.size();
    }
    
    
    @Override
    public Iterator<Ottelu> iterator() {
        return alkiot.iterator();
    }
    
    /**
     * Haetaan pelaajien ottelut
     * @param tunnusnro pelaajan tunnusnro
     * @return Tietorakenne jossa viitteet löydettyihin otteluihin
     */
    public List<Ottelu> annaOttelut(int tunnusnro) {
        List<Ottelu> loydetyt = new ArrayList<Ottelu>();
        for(Ottelu ott : alkiot)
            if (ott.getTunnusNro() == tunnusnro) loydetyt.add(ott);
        
        return loydetyt;
    }

    public void lueTiedostosta(String tiedosto) {
        tiedostonNimi = tiedosto + "/nimet.dat";
        throw new SailoException("Ei osata vielä lukea tiedostoa " + tiedostonNimi);
        
    }

   
}